import { OnInit, OnDestroy, AfterViewInit, Renderer2 } from '@angular/core';
import { SpinnerService } from './spinner.service';
import { Config } from './spinner.types';
import * as i0 from "@angular/core";
export declare class SpinnerAbstractComponent implements OnInit, OnDestroy, AfterViewInit {
    spinnerService: SpinnerService;
    protected renderer: Renderer2;
    isOpened: boolean;
    private spinnerEventSubscription;
    private logger;
    placement: string;
    config: Config;
    toggleFadeElement: any;
    autoopen: boolean;
    constructor(spinnerService: SpinnerService, renderer: Renderer2);
    toggleElement(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpinnerAbstractComponent, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpinnerAbstractComponent>;
}
